type FinishList {
  id: ID!
  name: String!
  description: String
  images: String
  isDeleted: Boolean
  isPublished: Boolean
  order: Int
  parentId: ID
  createdAt: DateTime!
  updatedAt: DateTime!
  # relation
  parent(where: JSON): FinishList
  children(where: JSON, order: String): [FinishList!]
}

type FinishListEdge {
  node: FinishList
  cursor: String!
}

type FinishListConnection {
  pageInfo: PageInfo!
  edges: [FinishListEdge]
  fullCount: Int
}

type Query {
  finishList(id: ID!): FinishList
  finishLists(where: JSON, limit: Int, offset: Int, order: String): [FinishList!]
  finishListsConnection(
    where: JSON
    first: Int!
    last: Int
    after: String
    before: String
  ): FinishListConnection!
  # customize query
  searchFinishListByProduct(where: JSON): [FinishList!]
}

type Mutation {
  createFinishList(data: JSON!): FinishList
  updateFinishList(data: JSON!, where: JSON!): FinishList
}
